aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Kysela <perex@t61.perex-int.cz>2010-02-22 17:24:44 +0100
committerJaroslav Kysela <perex@perex.cz>2010-02-22 17:24:44 +0100
commit44666b2a78154602485ebfd79aea5259ad3a7d9d (patch)
tree8179c5f0a65fad261330e12ef94568c4945cc1d3
parent141b519b313fe1b6fa9e662f96b38b64f20742d6 (diff)
downloadalsa-driver-build-unstable-44666b2a78154602485ebfd79aea5259ad3a7d9d.tar.gz
alsa-compile.sh: Fix dst variable usage in parse_modules()
Signed-off-by: Jaroslav Kysela <perex@perex.cz>
-rwxr-xr-xutils/alsa-compile.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/utils/alsa-compile.sh b/utils/alsa-compile.sh
index 43f1f5018..6c16d6669 100755
--- a/utils/alsa-compile.sh
+++ b/utils/alsa-compile.sh
@@ -549,10 +549,10 @@ kill_audio_apps() {
parse_modules() {
if ! test -s ../modules.dep; then
rel=$(uname -r)
- dst="xxxx/lib/modules/$rel"
- mkdir -p $dst/modules || exit 1
+ pdst="xxxx/lib/modules/$rel"
+ mkdir -p $pdst/modules || exit 1
for i in modules/*.*o; do
- ln -sf ../../../../../$i $dst/$i || exit 1
+ ln -sf ../../../../../$i $pdst/$i || exit 1
done
p=$(pwd)
if ! $depmodbin -b $p/xxxx ; then
@@ -560,7 +560,7 @@ parse_modules() {
exit 1
fi
- if ! cp $dst/modules.dep ../modules.dep ; then
+ if ! cp $pdst/modules.dep ../modules.dep ; then
echo >&2 "cp problem."
exit 1
fi